#codeBlock {
    background: #030303;
    padding: 10px;
    border-radius: 6px;
    overflow-x: auto;
    color: #d8cbcb;
}
#dataBlock {
    background: #bebebe;
    padding: 10px;
    border-radius: 6px;
    overflow-x: auto;
    color: #302f2f;
    text-align: left;
    line-height: 1.5;
    display: flex;
    gap: 12px;
}
#dataBlock button {
    margin: 1.5;
}
#title {
    text-align: center;
    background-image: linear-gradient(to bottom, rgb(65, 65, 65), rgb(0, 0, 0));
    color: white;
    border-radius: 6px;
    font-family: SCIDFont;
}
#logo {
    vertical-align: middle;
}
#footer {
    background: #bebebe;
    border-radius: 9px;
    font-size: 7px;
    text-align: center;
    color: #302f2f;
    padding: 5px;
    border: 2px solid black;
}
#loginBTN {
    border-radius: 5px;
    background-color: lime;
    border-color: transparent;
    padding: 5px;
    color: #302f2f;
    font-family: SCIDFont;
}
#logoutBTN {
    border-radius: 5px;
    background-color: red;
    border-color: transparent;
    padding: 5px;
    color: #302f2f;
    margin: 2px;
    font-family: SCIDFont;
}
#accountItem {
    border-radius: 5px;
    background-color: rgb(107, 107, 107);
    border-color: transparent;
    padding: 5px;
    color: #e4e4e4;
    margin: 2px;
    font-family: SCIDFont;
}
#debugBTN {
    border-radius: 5px;
    background-color: white;
    border-color: transparent;
    padding: 5px;
    color: black;
    outline: none;
}
#inputField {
    padding: 6px;
    border-radius: 8px;
    border-color: black;
}
#inputField:focus {
    border-color: black;
}
#pfpInput {
    padding: 6px;
    border-radius: 8px;
    border-color: black;
}
#pfpInput:focus {
    border-color: black;
}
#menuItem {
    border-radius: 5px;
    background-color: rgb(0, 0, 0);
    border-color: transparent;
    padding: 10px;
    color: rgb(255, 255, 255);
    outline: none;
    font-family: SCIDFont;
}
#selectedMenuItem {
    border-radius: 8px;
    background: linear-gradient(180deg, #3B92FF 0%, #1E70F5 100%);
    padding: 10px;
    color: rgb(255, 255, 255);
    outline: none;
    font-family: SCIDFont;
}
#logoutMenuItem {
    border-radius: 8px;
    background: linear-gradient(180deg, #FF4D4D 0%, #D61A1A 100%);
    padding: 10px;
    color: rgb(255, 255, 255);
    outline: none;
    font-family: SCIDFont;
}
#sidebar {
    width: 150px;
    background: #7c7c7c;
    padding: 10px;
    border-radius: 6px;
    overflow-x: auto;
    line-height: 1.5;
    display: flex;
    flex-direction: column;
    gap: 5px;
}
#content {
    flex: 1;
}
#friendsMenu {
    background: transparent;
    padding: 10px;
    border-radius: 6px;
    overflow-x: auto;
    text-align: left;
    line-height: 1.5;
    display: flex;
    flex-direction: column;
}
#newAccContent {
    max-width: 240px;
    white-space: normal;
    overflow-wrap: break-word;
    flex: 1;
    container-type: inline-size;
}
#token {
    overflow-wrap: break-word;
    text-wrap: pretty;
    font-size: 6cqw;
    white-space: nowrap;
}
#loginContent {
    flex: 1;
    display: flex;
    gap: 12px;
}
#knownAccounts {
    width: 120px;
    background: #2e2e2e;
    padding: 10px;
    border-radius: 6px;
    overflow-x: auto;
    text-align: left;
    line-height: 1.5;
    display: flex;
    flex-direction: column;
}
#loginField {
    width: 120px;
    background: #2e2e2e;
    padding: 10px;
    border-radius: 6px;
    overflow-x: auto;
    text-align: left;
    line-height: 1.5;
    display: flex;
    gap: 12px;
    flex-direction: column;
}
#knownAccsTxt {
    color: white;
}
#loginTxt {
    color: white;
}
#rememberlb {
    color: white;
    scale: 0.75;
}
#accTitle {
    text-align: center;
    color: white;
}
#friendItem {
    border-radius: 5px;
    background-color: rgb(0, 0, 0);
    border-color: transparent;
    padding: 10px;
    color: rgb(255, 255, 255);
    outline: none;
    text-align: left;
    align-items: center ;
    justify-content: flex-start;
    display: flex;
    font-size: 24px;
}
#pfp {
    max-width: 64px;
    max-height: 64px;
    border-radius: 6px;
    border-color: transparent;
    padding: 6px;

}
#alert {
    width: 200px;
    border-radius: 5px;
    background-color: black;
    padding: 10px;
    color: rgb(255, 255, 255);
    outline: none;
    text-align: center;
}
#errAlert {
    width: 200px;
    border-radius: 5px;
    background-color: red;
    padding: 10px;
    color: rgb(255, 255, 255);
    outline: none;
    text-align: center;
}
#alertsMenu {
    position: absolute;
    z-index: 9999;
    display: flex;
    flex-direction: column;
    left: 50%;
    transform: translateX(-50%);
    gap: 5px;
}
@font-face {
  font-family: 'SCIDFont';
  src: url('/font.ttf') format('truetype');
  font-weight: bold;
  font-style: normal;
}